# Extracted from https://unicode.org/emoji/charts/emoji-list.html
# Only single unicode code points supported for now.
EMOJI_SET = {
    chr(0x1F600),  # 😀
    chr(0x1F603),  # 😃
    chr(0x1F604),  # 😄
    chr(0x1F601),  # 😁
    chr(0x1F606),  # 😆
    chr(0x1F605),  # 😅
    chr(0x1F923),  # 🤣
    chr(0x1F602),  # 😂
    chr(0x1F642),  # 🙂
    chr(0x1F643),  # 🙃
    chr(0x1FAE0),  # 🫠
    chr(0x1F609),  # 😉
    chr(0x1F60A),  # 😊
    chr(0x1F607),  # 😇
    chr(0x1F970),  # 🥰
    chr(0x1F60D),  # 😍
    chr(0x1F929),  # 🤩
    chr(0x1F618),  # 😘
    chr(0x1F617),  # 😗
    chr(0x263A),  # ☺
    chr(0x1F61A),  # 😚
    chr(0x1F619),  # 😙
    chr(0x1F972),  # 🥲
    chr(0x1F60B),  # 😋
    chr(0x1F61B),  # 😛
    chr(0x1F61C),  # 😜
    chr(0x1F92A),  # 🤪
    chr(0x1F61D),  # 😝
    chr(0x1F911),  # 🤑
    chr(0x1F917),  # 🤗
    chr(0x1F92D),  # 🤭
    chr(0x1FAE2),  # 🫢
    chr(0x1FAE3),  # 🫣
    chr(0x1F92B),  # 🤫
    chr(0x1F914),  # 🤔
    chr(0x1FAE1),  # 🫡
    chr(0x1F910),  # 🤐
    chr(0x1F928),  # 🤨
    chr(0x1F610),  # 😐
    chr(0x1F611),  # 😑
    chr(0x1F636),  # 😶
    chr(0x1FAE5),  # 🫥
    chr(0x1F60F),  # 😏
    chr(0x1F612),  # 😒
    chr(0x1F644),  # 🙄
    chr(0x1F62C),  # 😬
    chr(0x1F925),  # 🤥
    chr(0x1FAE8),  # 🫨
    chr(0x1F60C),  # 😌
    chr(0x1F614),  # 😔
    chr(0x1F62A),  # 😪
    chr(0x1F924),  # 🤤
    chr(0x1F634),  # 😴
    chr(0x1FAE9),  # 🫩
    chr(0x1F637),  # 😷
    chr(0x1F912),  # 🤒
    chr(0x1F915),  # 🤕
    chr(0x1F922),  # 🤢
    chr(0x1F92E),  # 🤮
    chr(0x1F927),  # 🤧
    chr(0x1F975),  # 🥵
    chr(0x1F976),  # 🥶
    chr(0x1F974),  # 🥴
    chr(0x1F635),  # 😵
    chr(0x1F92F),  # 🤯
    chr(0x1F920),  # 🤠
    chr(0x1F973),  # 🥳
    chr(0x1F978),  # 🥸
    chr(0x1F60E),  # 😎
    chr(0x1F913),  # 🤓
    chr(0x1F9D0),  # 🧐
    chr(0x1F615),  # 😕
    chr(0x1FAE4),  # 🫤
    chr(0x1F61F),  # 😟
    chr(0x1F641),  # 🙁
    chr(0x2639),  # ☹
    chr(0x1F62E),  # 😮
    chr(0x1F62F),  # 😯
    chr(0x1F632),  # 😲
    chr(0x1F633),  # 😳
    chr(0x1F97A),  # 🥺
    chr(0x1F979),  # 🥹
    chr(0x1F626),  # 😦
    chr(0x1F627),  # 😧
    chr(0x1F628),  # 😨
    chr(0x1F630),  # 😰
    chr(0x1F625),  # 😥
    chr(0x1F622),  # 😢
    chr(0x1F62D),  # 😭
    chr(0x1F631),  # 😱
    chr(0x1F616),  # 😖
    chr(0x1F623),  # 😣
    chr(0x1F61E),  # 😞
    chr(0x1F613),  # 😓
    chr(0x1F629),  # 😩
    chr(0x1F62B),  # 😫
    chr(0x1F971),  # 🥱
    chr(0x1F624),  # 😤
    chr(0x1F621),  # 😡
    chr(0x1F620),  # 😠
    chr(0x1F92C),  # 🤬
    chr(0x1F608),  # 😈
    chr(0x1F47F),  # 👿
    chr(0x1F480),  # 💀
    chr(0x2620),  # ☠
    chr(0x1F4A9),  # 💩
    chr(0x1F921),  # 🤡
    chr(0x1F479),  # 👹
    chr(0x1F47A),  # 👺
    chr(0x1F47B),  # 👻
    chr(0x1F47D),  # 👽
    chr(0x1F47E),  # 👾
    chr(0x1F916),  # 🤖
    chr(0x1F63A),  # 😺
    chr(0x1F638),  # 😸
    chr(0x1F639),  # 😹
    chr(0x1F63B),  # 😻
    chr(0x1F63C),  # 😼
    chr(0x1F63D),  # 😽
    chr(0x1F640),  # 🙀
    chr(0x1F63F),  # 😿
    chr(0x1F63E),  # 😾
    chr(0x1F648),  # 🙈
    chr(0x1F649),  # 🙉
    chr(0x1F64A),  # 🙊
    chr(0x1F48C),  # 💌
    chr(0x1F498),  # 💘
    chr(0x1F49D),  # 💝
    chr(0x1F496),  # 💖
    chr(0x1F497),  # 💗
    chr(0x1F493),  # 💓
    chr(0x1F49E),  # 💞
    chr(0x1F495),  # 💕
    chr(0x1F49F),  # 💟
    chr(0x2763),  # ❣
    chr(0x1F494),  # 💔
    chr(0x2764),  # ❤
    chr(0x1FA77),  # 🩷
    chr(0x1F9E1),  # 🧡
    chr(0x1F49B),  # 💛
    chr(0x1F49A),  # 💚
    chr(0x1F499),  # 💙
    chr(0x1FA75),  # 🩵
    chr(0x1F49C),  # 💜
    chr(0x1F90E),  # 🤎
    chr(0x1F5A4),  # 🖤
    chr(0x1FA76),  # 🩶
    chr(0x1F90D),  # 🤍
    chr(0x1F48B),  # 💋
    chr(0x1F4AF),  # 💯
    chr(0x1F4A2),  # 💢
    chr(0x1F4A5),  # 💥
    chr(0x1F4AB),  # 💫
    chr(0x1F4A6),  # 💦
    chr(0x1F4A8),  # 💨
    chr(0x1F573),  # 🕳
    chr(0x1F4AC),  # 💬
    chr(0x1F5E8),  # 🗨
    chr(0x1F5EF),  # 🗯
    chr(0x1F4AD),  # 💭
    chr(0x1F4A4),  # 💤
    chr(0x1F44B),  # 👋
    chr(0x1F91A),  # 🤚
    chr(0x1F590),  # 🖐
    chr(0x270B),  # ✋
    chr(0x1F596),  # 🖖
    chr(0x1FAF1),  # 🫱
    chr(0x1FAF2),  # 🫲
    chr(0x1FAF3),  # 🫳
    chr(0x1FAF4),  # 🫴
    chr(0x1FAF7),  # 🫷
    chr(0x1FAF8),  # 🫸
    chr(0x1F44C),  # 👌
    chr(0x1F90C),  # 🤌
    chr(0x1F90F),  # 🤏
    chr(0x270C),  # ✌
    chr(0x1F91E),  # 🤞
    chr(0x1FAF0),  # 🫰
    chr(0x1F91F),  # 🤟
    chr(0x1F918),  # 🤘
    chr(0x1F919),  # 🤙
    chr(0x1F448),  # 👈
    chr(0x1F449),  # 👉
    chr(0x1F446),  # 👆
    chr(0x1F595),  # 🖕
    chr(0x1F447),  # 👇
    chr(0x261D),  # ☝
    chr(0x1FAF5),  # 🫵
    chr(0x1F44D),  # 👍
    chr(0x1F44E),  # 👎
    chr(0x270A),  # ✊
    chr(0x1F44A),  # 👊
    chr(0x1F91B),  # 🤛
    chr(0x1F91C),  # 🤜
    chr(0x1F44F),  # 👏
    chr(0x1F64C),  # 🙌
    chr(0x1FAF6),  # 🫶
    chr(0x1F450),  # 👐
    chr(0x1F932),  # 🤲
    chr(0x1F91D),  # 🤝
    chr(0x1F64F),  # 🙏
    chr(0x270D),  # ✍
    chr(0x1F485),  # 💅
    chr(0x1F933),  # 🤳
    chr(0x1F4AA),  # 💪
    chr(0x1F9BE),  # 🦾
    chr(0x1F9BF),  # 🦿
    chr(0x1F9B5),  # 🦵
    chr(0x1F9B6),  # 🦶
    chr(0x1F442),  # 👂
    chr(0x1F9BB),  # 🦻
    chr(0x1F443),  # 👃
    chr(0x1F9E0),  # 🧠
    chr(0x1FAC0),  # 🫀
    chr(0x1FAC1),  # 🫁
    chr(0x1F9B7),  # 🦷
    chr(0x1F9B4),  # 🦴
    chr(0x1F440),  # 👀
    chr(0x1F441),  # 👁
    chr(0x1F445),  # 👅
    chr(0x1F444),  # 👄
    chr(0x1FAE6),  # 🫦
    chr(0x1F476),  # 👶
    chr(0x1F9D2),  # 🧒
    chr(0x1F466),  # 👦
    chr(0x1F467),  # 👧
    chr(0x1F9D1),  # 🧑
    chr(0x1F471),  # 👱
    chr(0x1F468),  # 👨
    chr(0x1F9D4),  # 🧔
    chr(0x1F469),  # 👩
    chr(0x1F9D3),  # 🧓
    chr(0x1F474),  # 👴
    chr(0x1F475),  # 👵
    chr(0x1F64D),  # 🙍
    chr(0x1F64E),  # 🙎
    chr(0x1F645),  # 🙅
    chr(0x1F646),  # 🙆
    chr(0x1F481),  # 💁
    chr(0x1F64B),  # 🙋
    chr(0x1F9CF),  # 🧏
    chr(0x1F647),  # 🙇
    chr(0x1F926),  # 🤦
    chr(0x1F937),  # 🤷
    chr(0x1F46E),  # 👮
    chr(0x1F575),  # 🕵
    chr(0x1F482),  # 💂
    chr(0x1F977),  # 🥷
    chr(0x1F477),  # 👷
    chr(0x1FAC5),  # 🫅
    chr(0x1F934),  # 🤴
    chr(0x1F478),  # 👸
    chr(0x1F473),  # 👳
    chr(0x1F472),  # 👲
    chr(0x1F9D5),  # 🧕
    chr(0x1F935),  # 🤵
    chr(0x1F470),  # 👰
    chr(0x1F930),  # 🤰
    chr(0x1FAC3),  # 🫃
    chr(0x1FAC4),  # 🫄
    chr(0x1F931),  # 🤱
    chr(0x1F47C),  # 👼
    chr(0x1F385),  # 🎅
    chr(0x1F936),  # 🤶
    chr(0x1F9B8),  # 🦸
    chr(0x1F9B9),  # 🦹
    chr(0x1F9D9),  # 🧙
    chr(0x1F9DA),  # 🧚
    chr(0x1F9DB),  # 🧛
    chr(0x1F9DC),  # 🧜
    chr(0x1F9DD),  # 🧝
    chr(0x1F9DE),  # 🧞
    chr(0x1F9DF),  # 🧟
    chr(0x1F9CC),  # 🧌
    chr(0x1F486),  # 💆
    chr(0x1F487),  # 💇
    chr(0x1F6B6),  # 🚶
    chr(0x1F9CD),  # 🧍
    chr(0x1F9CE),  # 🧎
    chr(0x1F3C3),  # 🏃
    chr(0x1F483),  # 💃
    chr(0x1F57A),  # 🕺
    chr(0x1F574),  # 🕴
    chr(0x1F46F),  # 👯
    chr(0x1F9D6),  # 🧖
    chr(0x1F9D7),  # 🧗
    chr(0x1F93A),  # 🤺
    chr(0x1F3C7),  # 🏇
    chr(0x26F7),  # ⛷
    chr(0x1F3C2),  # 🏂
    chr(0x1F3CC),  # 🏌
    chr(0x1F3C4),  # 🏄
    chr(0x1F6A3),  # 🚣
    chr(0x1F3CA),  # 🏊
    chr(0x26F9),  # ⛹
    chr(0x1F3CB),  # 🏋
    chr(0x1F6B4),  # 🚴
    chr(0x1F6B5),  # 🚵
    chr(0x1F938),  # 🤸
    chr(0x1F93C),  # 🤼
    chr(0x1F93D),  # 🤽
    chr(0x1F93E),  # 🤾
    chr(0x1F939),  # 🤹
    chr(0x1F9D8),  # 🧘
    chr(0x1F6C0),  # 🛀
    chr(0x1F6CC),  # 🛌
    chr(0x1F46D),  # 👭
    chr(0x1F46B),  # 👫
    chr(0x1F46C),  # 👬
    chr(0x1F48F),  # 💏
    chr(0x1F491),  # 💑
    chr(0x1F5E3),  # 🗣
    chr(0x1F464),  # 👤
    chr(0x1F465),  # 👥
    chr(0x1FAC2),  # 🫂
    chr(0x1F46A),  # 👪
    chr(0x1F463),  # 👣
    chr(0x1FAC6),  # 🫆
    chr(0x1F9B0),  # 🦰
    chr(0x1F9B1),  # 🦱
    chr(0x1F9B3),  # 🦳
    chr(0x1F9B2),  # 🦲
    chr(0x1F435),  # 🐵
    chr(0x1F412),  # 🐒
    chr(0x1F98D),  # 🦍
    chr(0x1F9A7),  # 🦧
    chr(0x1F436),  # 🐶
    chr(0x1F415),  # 🐕
    chr(0x1F9AE),  # 🦮
    chr(0x1F429),  # 🐩
    chr(0x1F43A),  # 🐺
    chr(0x1F98A),  # 🦊
    chr(0x1F99D),  # 🦝
    chr(0x1F431),  # 🐱
    chr(0x1F408),  # 🐈
    chr(0x1F981),  # 🦁
    chr(0x1F42F),  # 🐯
    chr(0x1F405),  # 🐅
    chr(0x1F406),  # 🐆
    chr(0x1F434),  # 🐴
    chr(0x1FACE),  # 🫎
    chr(0x1FACF),  # 🫏
    chr(0x1F40E),  # 🐎
    chr(0x1F984),  # 🦄
    chr(0x1F993),  # 🦓
    chr(0x1F98C),  # 🦌
    chr(0x1F9AC),  # 🦬
    chr(0x1F42E),  # 🐮
    chr(0x1F402),  # 🐂
    chr(0x1F403),  # 🐃
    chr(0x1F404),  # 🐄
    chr(0x1F437),  # 🐷
    chr(0x1F416),  # 🐖
    chr(0x1F417),  # 🐗
    chr(0x1F43D),  # 🐽
    chr(0x1F40F),  # 🐏
    chr(0x1F411),  # 🐑
    chr(0x1F410),  # 🐐
    chr(0x1F42A),  # 🐪
    chr(0x1F42B),  # 🐫
    chr(0x1F999),  # 🦙
    chr(0x1F992),  # 🦒
    chr(0x1F418),  # 🐘
    chr(0x1F9A3),  # 🦣
    chr(0x1F98F),  # 🦏
    chr(0x1F99B),  # 🦛
    chr(0x1F42D),  # 🐭
    chr(0x1F401),  # 🐁
    chr(0x1F400),  # 🐀
    chr(0x1F439),  # 🐹
    chr(0x1F430),  # 🐰
    chr(0x1F407),  # 🐇
    chr(0x1F43F),  # 🐿
    chr(0x1F9AB),  # 🦫
    chr(0x1F994),  # 🦔
    chr(0x1F987),  # 🦇
    chr(0x1F43B),  # 🐻
    chr(0x1F428),  # 🐨
    chr(0x1F43C),  # 🐼
    chr(0x1F9A5),  # 🦥
    chr(0x1F9A6),  # 🦦
    chr(0x1F9A8),  # 🦨
    chr(0x1F998),  # 🦘
    chr(0x1F9A1),  # 🦡
    chr(0x1F43E),  # 🐾
    chr(0x1F983),  # 🦃
    chr(0x1F414),  # 🐔
    chr(0x1F413),  # 🐓
    chr(0x1F423),  # 🐣
    chr(0x1F424),  # 🐤
    chr(0x1F425),  # 🐥
    chr(0x1F426),  # 🐦
    chr(0x1F427),  # 🐧
    chr(0x1F54A),  # 🕊
    chr(0x1F985),  # 🦅
    chr(0x1F986),  # 🦆
    chr(0x1F9A2),  # 🦢
    chr(0x1F989),  # 🦉
    chr(0x1F9A4),  # 🦤
    chr(0x1FAB6),  # 🪶
    chr(0x1F9A9),  # 🦩
    chr(0x1F99A),  # 🦚
    chr(0x1F99C),  # 🦜
    chr(0x1FABD),  # 🪽
    chr(0x1FABF),  # 🪿
    chr(0x1F438),  # 🐸
    chr(0x1F40A),  # 🐊
    chr(0x1F422),  # 🐢
    chr(0x1F98E),  # 🦎
    chr(0x1F40D),  # 🐍
    chr(0x1F432),  # 🐲
    chr(0x1F409),  # 🐉
    chr(0x1F995),  # 🦕
    chr(0x1F996),  # 🦖
    chr(0x1F433),  # 🐳
    chr(0x1F40B),  # 🐋
    chr(0x1F42C),  # 🐬
    chr(0x1F9AD),  # 🦭
    chr(0x1F41F),  # 🐟
    chr(0x1F420),  # 🐠
    chr(0x1F421),  # 🐡
    chr(0x1F988),  # 🦈
    chr(0x1F419),  # 🐙
    chr(0x1F41A),  # 🐚
    chr(0x1FAB8),  # 🪸
    chr(0x1FABC),  # 🪼
    chr(0x1F980),  # 🦀
    chr(0x1F99E),  # 🦞
    chr(0x1F990),  # 🦐
    chr(0x1F991),  # 🦑
    chr(0x1F9AA),  # 🦪
    chr(0x1F40C),  # 🐌
    chr(0x1F98B),  # 🦋
    chr(0x1F41B),  # 🐛
    chr(0x1F41C),  # 🐜
    chr(0x1F41D),  # 🐝
    chr(0x1FAB2),  # 🪲
    chr(0x1F41E),  # 🐞
    chr(0x1F997),  # 🦗
    chr(0x1FAB3),  # 🪳
    chr(0x1F577),  # 🕷
    chr(0x1F578),  # 🕸
    chr(0x1F982),  # 🦂
    chr(0x1F99F),  # 🦟
    chr(0x1FAB0),  # 🪰
    chr(0x1FAB1),  # 🪱
    chr(0x1F9A0),  # 🦠
    chr(0x1F490),  # 💐
    chr(0x1F338),  # 🌸
    chr(0x1F4AE),  # 💮
    chr(0x1FAB7),  # 🪷
    chr(0x1F3F5),  # 🏵
    chr(0x1F339),  # 🌹
    chr(0x1F940),  # 🥀
    chr(0x1F33A),  # 🌺
    chr(0x1F33B),  # 🌻
    chr(0x1F33C),  # 🌼
    chr(0x1F337),  # 🌷
    chr(0x1FABB),  # 🪻
    chr(0x1F331),  # 🌱
    chr(0x1FAB4),  # 🪴
    chr(0x1F332),  # 🌲
    chr(0x1F333),  # 🌳
    chr(0x1F334),  # 🌴
    chr(0x1F335),  # 🌵
    chr(0x1F33E),  # 🌾
    chr(0x1F33F),  # 🌿
    chr(0x2618),  # ☘
    chr(0x1F340),  # 🍀
    chr(0x1F341),  # 🍁
    chr(0x1F342),  # 🍂
    chr(0x1F343),  # 🍃
    chr(0x1FAB9),  # 🪹
    chr(0x1FABA),  # 🪺
    chr(0x1F344),  # 🍄
    chr(0x1FABE),  # 🪾
    chr(0x1F347),  # 🍇
    chr(0x1F348),  # 🍈
    chr(0x1F349),  # 🍉
    chr(0x1F34A),  # 🍊
    chr(0x1F34B),  # 🍋
    chr(0x1F34C),  # 🍌
    chr(0x1F34D),  # 🍍
    chr(0x1F96D),  # 🥭
    chr(0x1F34E),  # 🍎
    chr(0x1F34F),  # 🍏
    chr(0x1F350),  # 🍐
    chr(0x1F351),  # 🍑
    chr(0x1F352),  # 🍒
    chr(0x1F353),  # 🍓
    chr(0x1FAD0),  # 🫐
    chr(0x1F95D),  # 🥝
    chr(0x1F345),  # 🍅
    chr(0x1FAD2),  # 🫒
    chr(0x1F965),  # 🥥
    chr(0x1F951),  # 🥑
    chr(0x1F346),  # 🍆
    chr(0x1F954),  # 🥔
    chr(0x1F955),  # 🥕
    chr(0x1F33D),  # 🌽
    chr(0x1F336),  # 🌶
    chr(0x1FAD1),  # 🫑
    chr(0x1F952),  # 🥒
    chr(0x1F96C),  # 🥬
    chr(0x1F966),  # 🥦
    chr(0x1F9C4),  # 🧄
    chr(0x1F9C5),  # 🧅
    chr(0x1F95C),  # 🥜
    chr(0x1FAD8),  # 🫘
    chr(0x1F330),  # 🌰
    chr(0x1FADA),  # 🫚
    chr(0x1FADB),  # 🫛
    chr(0x1FADC),  # 🫜
    chr(0x1F35E),  # 🍞
    chr(0x1F950),  # 🥐
    chr(0x1F956),  # 🥖
    chr(0x1FAD3),  # 🫓
    chr(0x1F968),  # 🥨
    chr(0x1F96F),  # 🥯
    chr(0x1F95E),  # 🥞
    chr(0x1F9C7),  # 🧇
    chr(0x1F9C0),  # 🧀
    chr(0x1F356),  # 🍖
    chr(0x1F357),  # 🍗
    chr(0x1F969),  # 🥩
    chr(0x1F953),  # 🥓
    chr(0x1F354),  # 🍔
    chr(0x1F35F),  # 🍟
    chr(0x1F355),  # 🍕
    chr(0x1F32D),  # 🌭
    chr(0x1F96A),  # 🥪
    chr(0x1F32E),  # 🌮
    chr(0x1F32F),  # 🌯
    chr(0x1FAD4),  # 🫔
    chr(0x1F959),  # 🥙
    chr(0x1F9C6),  # 🧆
    chr(0x1F95A),  # 🥚
    chr(0x1F373),  # 🍳
    chr(0x1F958),  # 🥘
    chr(0x1F372),  # 🍲
    chr(0x1FAD5),  # 🫕
    chr(0x1F963),  # 🥣
    chr(0x1F957),  # 🥗
    chr(0x1F37F),  # 🍿
    chr(0x1F9C8),  # 🧈
    chr(0x1F9C2),  # 🧂
    chr(0x1F96B),  # 🥫
    chr(0x1F371),  # 🍱
    chr(0x1F358),  # 🍘
    chr(0x1F359),  # 🍙
    chr(0x1F35A),  # 🍚
    chr(0x1F35B),  # 🍛
    chr(0x1F35C),  # 🍜
    chr(0x1F35D),  # 🍝
    chr(0x1F360),  # 🍠
    chr(0x1F362),  # 🍢
    chr(0x1F363),  # 🍣
    chr(0x1F364),  # 🍤
    chr(0x1F365),  # 🍥
    chr(0x1F96E),  # 🥮
    chr(0x1F361),  # 🍡
    chr(0x1F95F),  # 🥟
    chr(0x1F960),  # 🥠
    chr(0x1F961),  # 🥡
    chr(0x1F366),  # 🍦
    chr(0x1F367),  # 🍧
    chr(0x1F368),  # 🍨
    chr(0x1F369),  # 🍩
    chr(0x1F36A),  # 🍪
    chr(0x1F382),  # 🎂
    chr(0x1F370),  # 🍰
    chr(0x1F9C1),  # 🧁
    chr(0x1F967),  # 🥧
    chr(0x1F36B),  # 🍫
    chr(0x1F36C),  # 🍬
    chr(0x1F36D),  # 🍭
    chr(0x1F36E),  # 🍮
    chr(0x1F36F),  # 🍯
    chr(0x1F37C),  # 🍼
    chr(0x1F95B),  # 🥛
    chr(0x2615),  # ☕
    chr(0x1FAD6),  # 🫖
    chr(0x1F375),  # 🍵
    chr(0x1F376),  # 🍶
    chr(0x1F37E),  # 🍾
    chr(0x1F377),  # 🍷
    chr(0x1F378),  # 🍸
    chr(0x1F379),  # 🍹
    chr(0x1F37A),  # 🍺
    chr(0x1F37B),  # 🍻
    chr(0x1F942),  # 🥂
    chr(0x1F943),  # 🥃
    chr(0x1FAD7),  # 🫗
    chr(0x1F964),  # 🥤
    chr(0x1F9CB),  # 🧋
    chr(0x1F9C3),  # 🧃
    chr(0x1F9C9),  # 🧉
    chr(0x1F9CA),  # 🧊
    chr(0x1F962),  # 🥢
    chr(0x1F37D),  # 🍽
    chr(0x1F374),  # 🍴
    chr(0x1F944),  # 🥄
    chr(0x1F52A),  # 🔪
    chr(0x1FAD9),  # 🫙
    chr(0x1F3FA),  # 🏺
    chr(0x1F30D),  # 🌍
    chr(0x1F30E),  # 🌎
    chr(0x1F30F),  # 🌏
    chr(0x1F310),  # 🌐
    chr(0x1F5FA),  # 🗺
    chr(0x1F5FE),  # 🗾
    chr(0x1F9ED),  # 🧭
    chr(0x1F3D4),  # 🏔
    chr(0x26F0),  # ⛰
    chr(0x1F30B),  # 🌋
    chr(0x1F5FB),  # 🗻
    chr(0x1F3D5),  # 🏕
    chr(0x1F3D6),  # 🏖
    chr(0x1F3DC),  # 🏜
    chr(0x1F3DD),  # 🏝
    chr(0x1F3DE),  # 🏞
    chr(0x1F3DF),  # 🏟
    chr(0x1F3DB),  # 🏛
    chr(0x1F3D7),  # 🏗
    chr(0x1F9F1),  # 🧱
    chr(0x1FAA8),  # 🪨
    chr(0x1FAB5),  # 🪵
    chr(0x1F6D6),  # 🛖
    chr(0x1F3D8),  # 🏘
    chr(0x1F3DA),  # 🏚
    chr(0x1F3E0),  # 🏠
    chr(0x1F3E1),  # 🏡
    chr(0x1F3E2),  # 🏢
    chr(0x1F3E3),  # 🏣
    chr(0x1F3E4),  # 🏤
    chr(0x1F3E5),  # 🏥
    chr(0x1F3E6),  # 🏦
    chr(0x1F3E8),  # 🏨
    chr(0x1F3E9),  # 🏩
    chr(0x1F3EA),  # 🏪
    chr(0x1F3EB),  # 🏫
    chr(0x1F3EC),  # 🏬
    chr(0x1F3ED),  # 🏭
    chr(0x1F3EF),  # 🏯
    chr(0x1F3F0),  # 🏰
    chr(0x1F492),  # 💒
    chr(0x1F5FC),  # 🗼
    chr(0x1F5FD),  # 🗽
    chr(0x26EA),  # ⛪
    chr(0x1F54C),  # 🕌
    chr(0x1F6D5),  # 🛕
    chr(0x1F54D),  # 🕍
    chr(0x26E9),  # ⛩
    chr(0x1F54B),  # 🕋
    chr(0x26F2),  # ⛲
    chr(0x26FA),  # ⛺
    chr(0x1F301),  # 🌁
    chr(0x1F303),  # 🌃
    chr(0x1F3D9),  # 🏙
    chr(0x1F304),  # 🌄
    chr(0x1F305),  # 🌅
    chr(0x1F306),  # 🌆
    chr(0x1F307),  # 🌇
    chr(0x1F309),  # 🌉
    chr(0x2668),  # ♨
    chr(0x1F3A0),  # 🎠
    chr(0x1F6DD),  # 🛝
    chr(0x1F3A1),  # 🎡
    chr(0x1F3A2),  # 🎢
    chr(0x1F488),  # 💈
    chr(0x1F3AA),  # 🎪
    chr(0x1F682),  # 🚂
    chr(0x1F683),  # 🚃
    chr(0x1F684),  # 🚄
    chr(0x1F685),  # 🚅
    chr(0x1F686),  # 🚆
    chr(0x1F687),  # 🚇
    chr(0x1F688),  # 🚈
    chr(0x1F689),  # 🚉
    chr(0x1F68A),  # 🚊
    chr(0x1F69D),  # 🚝
    chr(0x1F69E),  # 🚞
    chr(0x1F68B),  # 🚋
    chr(0x1F68C),  # 🚌
    chr(0x1F68D),  # 🚍
    chr(0x1F68E),  # 🚎
    chr(0x1F690),  # 🚐
    chr(0x1F691),  # 🚑
    chr(0x1F692),  # 🚒
    chr(0x1F693),  # 🚓
    chr(0x1F694),  # 🚔
    chr(0x1F695),  # 🚕
    chr(0x1F696),  # 🚖
    chr(0x1F697),  # 🚗
    chr(0x1F698),  # 🚘
    chr(0x1F699),  # 🚙
    chr(0x1F6FB),  # 🛻
    chr(0x1F69A),  # 🚚
    chr(0x1F69B),  # 🚛
    chr(0x1F69C),  # 🚜
    chr(0x1F3CE),  # 🏎
    chr(0x1F3CD),  # 🏍
    chr(0x1F6F5),  # 🛵
    chr(0x1F9BD),  # 🦽
    chr(0x1F9BC),  # 🦼
    chr(0x1F6FA),  # 🛺
    chr(0x1F6B2),  # 🚲
    chr(0x1F6F4),  # 🛴
    chr(0x1F6F9),  # 🛹
    chr(0x1F6FC),  # 🛼
    chr(0x1F68F),  # 🚏
    chr(0x1F6E3),  # 🛣
    chr(0x1F6E4),  # 🛤
    chr(0x1F6E2),  # 🛢
    chr(0x26FD),  # ⛽
    chr(0x1F6DE),  # 🛞
    chr(0x1F6A8),  # 🚨
    chr(0x1F6A5),  # 🚥
    chr(0x1F6A6),  # 🚦
    chr(0x1F6D1),  # 🛑
    chr(0x1F6A7),  # 🚧
    chr(0x2693),  # ⚓
    chr(0x1F6DF),  # 🛟
    chr(0x26F5),  # ⛵
    chr(0x1F6F6),  # 🛶
    chr(0x1F6A4),  # 🚤
    chr(0x1F6F3),  # 🛳
    chr(0x26F4),  # ⛴
    chr(0x1F6E5),  # 🛥
    chr(0x1F6A2),  # 🚢
    chr(0x2708),  # ✈
    chr(0x1F6E9),  # 🛩
    chr(0x1F6EB),  # 🛫
    chr(0x1F6EC),  # 🛬
    chr(0x1FA82),  # 🪂
    chr(0x1F4BA),  # 💺
    chr(0x1F681),  # 🚁
    chr(0x1F69F),  # 🚟
    chr(0x1F6A0),  # 🚠
    chr(0x1F6A1),  # 🚡
    chr(0x1F6F0),  # 🛰
    chr(0x1F680),  # 🚀
    chr(0x1F6F8),  # 🛸
    chr(0x1F6CE),  # 🛎
    chr(0x1F9F3),  # 🧳
    chr(0x231B),  # ⌛
    chr(0x23F3),  # ⏳
    chr(0x231A),  # ⌚
    chr(0x23F0),  # ⏰
    chr(0x23F1),  # ⏱
    chr(0x23F2),  # ⏲
    chr(0x1F570),  # 🕰
    chr(0x1F55B),  # 🕛
    chr(0x1F567),  # 🕧
    chr(0x1F550),  # 🕐
    chr(0x1F55C),  # 🕜
    chr(0x1F551),  # 🕑
    chr(0x1F55D),  # 🕝
    chr(0x1F552),  # 🕒
    chr(0x1F55E),  # 🕞
    chr(0x1F553),  # 🕓
    chr(0x1F55F),  # 🕟
    chr(0x1F554),  # 🕔
    chr(0x1F560),  # 🕠
    chr(0x1F555),  # 🕕
    chr(0x1F561),  # 🕡
    chr(0x1F556),  # 🕖
    chr(0x1F562),  # 🕢
    chr(0x1F557),  # 🕗
    chr(0x1F563),  # 🕣
    chr(0x1F558),  # 🕘
    chr(0x1F564),  # 🕤
    chr(0x1F559),  # 🕙
    chr(0x1F565),  # 🕥
    chr(0x1F55A),  # 🕚
    chr(0x1F566),  # 🕦
    chr(0x1F311),  # 🌑
    chr(0x1F312),  # 🌒
    chr(0x1F313),  # 🌓
    chr(0x1F314),  # 🌔
    chr(0x1F315),  # 🌕
    chr(0x1F316),  # 🌖
    chr(0x1F317),  # 🌗
    chr(0x1F318),  # 🌘
    chr(0x1F319),  # 🌙
    chr(0x1F31A),  # 🌚
    chr(0x1F31B),  # 🌛
    chr(0x1F31C),  # 🌜
    chr(0x1F321),  # 🌡
    chr(0x2600),  # ☀
    chr(0x1F31D),  # 🌝
    chr(0x1F31E),  # 🌞
    chr(0x1FA90),  # 🪐
    chr(0x2B50),  # ⭐
    chr(0x1F31F),  # 🌟
    chr(0x1F320),  # 🌠
    chr(0x1F30C),  # 🌌
    chr(0x2601),  # ☁
    chr(0x26C5),  # ⛅
    chr(0x26C8),  # ⛈
    chr(0x1F324),  # 🌤
    chr(0x1F325),  # 🌥
    chr(0x1F326),  # 🌦
    chr(0x1F327),  # 🌧
    chr(0x1F328),  # 🌨
    chr(0x1F329),  # 🌩
    chr(0x1F32A),  # 🌪
    chr(0x1F32B),  # 🌫
    chr(0x1F32C),  # 🌬
    chr(0x1F300),  # 🌀
    chr(0x1F308),  # 🌈
    chr(0x1F302),  # 🌂
    chr(0x2602),  # ☂
    chr(0x2614),  # ☔
    chr(0x26F1),  # ⛱
    chr(0x26A1),  # ⚡
    chr(0x2744),  # ❄
    chr(0x2603),  # ☃
    chr(0x26C4),  # ⛄
    chr(0x2604),  # ☄
    chr(0x1F525),  # 🔥
    chr(0x1F4A7),  # 💧
    chr(0x1F30A),  # 🌊
    chr(0x1F383),  # 🎃
    chr(0x1F384),  # 🎄
    chr(0x1F386),  # 🎆
    chr(0x1F387),  # 🎇
    chr(0x1F9E8),  # 🧨
    chr(0x2728),  # ✨
    chr(0x1F388),  # 🎈
    chr(0x1F389),  # 🎉
    chr(0x1F38A),  # 🎊
    chr(0x1F38B),  # 🎋
    chr(0x1F38D),  # 🎍
    chr(0x1F38E),  # 🎎
    chr(0x1F38F),  # 🎏
    chr(0x1F390),  # 🎐
    chr(0x1F391),  # 🎑
    chr(0x1F9E7),  # 🧧
    chr(0x1F380),  # 🎀
    chr(0x1F381),  # 🎁
    chr(0x1F397),  # 🎗
    chr(0x1F39F),  # 🎟
    chr(0x1F3AB),  # 🎫
    chr(0x1F396),  # 🎖
    chr(0x1F3C6),  # 🏆
    chr(0x1F3C5),  # 🏅
    chr(0x1F947),  # 🥇
    chr(0x1F948),  # 🥈
    chr(0x1F949),  # 🥉
    chr(0x26BD),  # ⚽
    chr(0x26BE),  # ⚾
    chr(0x1F94E),  # 🥎
    chr(0x1F3C0),  # 🏀
    chr(0x1F3D0),  # 🏐
    chr(0x1F3C8),  # 🏈
    chr(0x1F3C9),  # 🏉
    chr(0x1F3BE),  # 🎾
    chr(0x1F94F),  # 🥏
    chr(0x1F3B3),  # 🎳
    chr(0x1F3CF),  # 🏏
    chr(0x1F3D1),  # 🏑
    chr(0x1F3D2),  # 🏒
    chr(0x1F94D),  # 🥍
    chr(0x1F3D3),  # 🏓
    chr(0x1F3F8),  # 🏸
    chr(0x1F94A),  # 🥊
    chr(0x1F94B),  # 🥋
    chr(0x1F945),  # 🥅
    chr(0x26F3),  # ⛳
    chr(0x26F8),  # ⛸
    chr(0x1F3A3),  # 🎣
    chr(0x1F93F),  # 🤿
    chr(0x1F3BD),  # 🎽
    chr(0x1F3BF),  # 🎿
    chr(0x1F6F7),  # 🛷
    chr(0x1F94C),  # 🥌
    chr(0x1F3AF),  # 🎯
    chr(0x1FA80),  # 🪀
    chr(0x1FA81),  # 🪁
    chr(0x1F52B),  # 🔫
    chr(0x1F3B1),  # 🎱
    chr(0x1F52E),  # 🔮
    chr(0x1FA84),  # 🪄
    chr(0x1F3AE),  # 🎮
    chr(0x1F579),  # 🕹
    chr(0x1F3B0),  # 🎰
    chr(0x1F3B2),  # 🎲
    chr(0x1F9E9),  # 🧩
    chr(0x1F9F8),  # 🧸
    chr(0x1FA85),  # 🪅
    chr(0x1FAA9),  # 🪩
    chr(0x1FA86),  # 🪆
    chr(0x2660),  # ♠
    chr(0x2665),  # ♥
    chr(0x2666),  # ♦
    chr(0x2663),  # ♣
    chr(0x265F),  # ♟
    chr(0x1F0CF),  # 🃏
    chr(0x1F004),  # 🀄
    chr(0x1F3B4),  # 🎴
    chr(0x1F3AD),  # 🎭
    chr(0x1F5BC),  # 🖼
    chr(0x1F3A8),  # 🎨
    chr(0x1F9F5),  # 🧵
    chr(0x1FAA1),  # 🪡
    chr(0x1F9F6),  # 🧶
    chr(0x1FAA2),  # 🪢
    chr(0x1F453),  # 👓
    chr(0x1F576),  # 🕶
    chr(0x1F97D),  # 🥽
    chr(0x1F97C),  # 🥼
    chr(0x1F9BA),  # 🦺
    chr(0x1F454),  # 👔
    chr(0x1F455),  # 👕
    chr(0x1F456),  # 👖
    chr(0x1F9E3),  # 🧣
    chr(0x1F9E4),  # 🧤
    chr(0x1F9E5),  # 🧥
    chr(0x1F9E6),  # 🧦
    chr(0x1F457),  # 👗
    chr(0x1F458),  # 👘
    chr(0x1F97B),  # 🥻
    chr(0x1FA71),  # 🩱
    chr(0x1FA72),  # 🩲
    chr(0x1FA73),  # 🩳
    chr(0x1F459),  # 👙
    chr(0x1F45A),  # 👚
    chr(0x1FAAD),  # 🪭
    chr(0x1F45B),  # 👛
    chr(0x1F45C),  # 👜
    chr(0x1F45D),  # 👝
    chr(0x1F6CD),  # 🛍
    chr(0x1F392),  # 🎒
    chr(0x1FA74),  # 🩴
    chr(0x1F45E),  # 👞
    chr(0x1F45F),  # 👟
    chr(0x1F97E),  # 🥾
    chr(0x1F97F),  # 🥿
    chr(0x1F460),  # 👠
    chr(0x1F461),  # 👡
    chr(0x1FA70),  # 🩰
    chr(0x1F462),  # 👢
    chr(0x1FAAE),  # 🪮
    chr(0x1F451),  # 👑
    chr(0x1F452),  # 👒
    chr(0x1F3A9),  # 🎩
    chr(0x1F393),  # 🎓
    chr(0x1F9E2),  # 🧢
    chr(0x1FA96),  # 🪖
    chr(0x26D1),  # ⛑
    chr(0x1F4FF),  # 📿
    chr(0x1F484),  # 💄
    chr(0x1F48D),  # 💍
    chr(0x1F48E),  # 💎
    chr(0x1F507),  # 🔇
    chr(0x1F508),  # 🔈
    chr(0x1F509),  # 🔉
    chr(0x1F50A),  # 🔊
    chr(0x1F4E2),  # 📢
    chr(0x1F4E3),  # 📣
    chr(0x1F4EF),  # 📯
    chr(0x1F514),  # 🔔
    chr(0x1F515),  # 🔕
    chr(0x1F3BC),  # 🎼
    chr(0x1F3B5),  # 🎵
    chr(0x1F3B6),  # 🎶
    chr(0x1F399),  # 🎙
    chr(0x1F39A),  # 🎚
    chr(0x1F39B),  # 🎛
    chr(0x1F3A4),  # 🎤
    chr(0x1F3A7),  # 🎧
    chr(0x1F4FB),  # 📻
    chr(0x1F3B7),  # 🎷
    chr(0x1FA97),  # 🪗
    chr(0x1F3B8),  # 🎸
    chr(0x1F3B9),  # 🎹
    chr(0x1F3BA),  # 🎺
    chr(0x1F3BB),  # 🎻
    chr(0x1FA95),  # 🪕
    chr(0x1F941),  # 🥁
    chr(0x1FA98),  # 🪘
    chr(0x1FA87),  # 🪇
    chr(0x1FA88),  # 🪈
    chr(0x1FA89),  # 🪉
    chr(0x1F4F1),  # 📱
    chr(0x1F4F2),  # 📲
    chr(0x260E),  # ☎
    chr(0x1F4DE),  # 📞
    chr(0x1F4DF),  # 📟
    chr(0x1F4E0),  # 📠
    chr(0x1F50B),  # 🔋
    chr(0x1FAAB),  # 🪫
    chr(0x1F50C),  # 🔌
    chr(0x1F4BB),  # 💻
    chr(0x1F5A5),  # 🖥
    chr(0x1F5A8),  # 🖨
    chr(0x2328),  # ⌨
    chr(0x1F5B1),  # 🖱
    chr(0x1F5B2),  # 🖲
    chr(0x1F4BD),  # 💽
    chr(0x1F4BE),  # 💾
    chr(0x1F4BF),  # 💿
    chr(0x1F4C0),  # 📀
    chr(0x1F9EE),  # 🧮
    chr(0x1F3A5),  # 🎥
    chr(0x1F39E),  # 🎞
    chr(0x1F4FD),  # 📽
    chr(0x1F3AC),  # 🎬
    chr(0x1F4FA),  # 📺
    chr(0x1F4F7),  # 📷
    chr(0x1F4F8),  # 📸
    chr(0x1F4F9),  # 📹
    chr(0x1F4FC),  # 📼
    chr(0x1F50D),  # 🔍
    chr(0x1F50E),  # 🔎
    chr(0x1F56F),  # 🕯
    chr(0x1F4A1),  # 💡
    chr(0x1F526),  # 🔦
    chr(0x1F3EE),  # 🏮
    chr(0x1FA94),  # 🪔
    chr(0x1F4D4),  # 📔
    chr(0x1F4D5),  # 📕
    chr(0x1F4D6),  # 📖
    chr(0x1F4D7),  # 📗
    chr(0x1F4D8),  # 📘
    chr(0x1F4D9),  # 📙
    chr(0x1F4DA),  # 📚
    chr(0x1F4D3),  # 📓
    chr(0x1F4D2),  # 📒
    chr(0x1F4C3),  # 📃
    chr(0x1F4DC),  # 📜
    chr(0x1F4C4),  # 📄
    chr(0x1F4F0),  # 📰
    chr(0x1F5DE),  # 🗞
    chr(0x1F4D1),  # 📑
    chr(0x1F516),  # 🔖
    chr(0x1F3F7),  # 🏷
    chr(0x1F4B0),  # 💰
    chr(0x1FA99),  # 🪙
    chr(0x1F4B4),  # 💴
    chr(0x1F4B5),  # 💵
    chr(0x1F4B6),  # 💶
    chr(0x1F4B7),  # 💷
    chr(0x1F4B8),  # 💸
    chr(0x1F4B3),  # 💳
    chr(0x1F9FE),  # 🧾
    chr(0x1F4B9),  # 💹
    chr(0x2709),  # ✉
    chr(0x1F4E7),  # 📧
    chr(0x1F4E8),  # 📨
    chr(0x1F4E9),  # 📩
    chr(0x1F4E4),  # 📤
    chr(0x1F4E5),  # 📥
    chr(0x1F4E6),  # 📦
    chr(0x1F4EB),  # 📫
    chr(0x1F4EA),  # 📪
    chr(0x1F4EC),  # 📬
    chr(0x1F4ED),  # 📭
    chr(0x1F4EE),  # 📮
    chr(0x1F5F3),  # 🗳
    chr(0x270F),  # ✏
    chr(0x2712),  # ✒
    chr(0x1F58B),  # 🖋
    chr(0x1F58A),  # 🖊
    chr(0x1F58C),  # 🖌
    chr(0x1F58D),  # 🖍
    chr(0x1F4DD),  # 📝
    chr(0x1F4BC),  # 💼
    chr(0x1F4C1),  # 📁
    chr(0x1F4C2),  # 📂
    chr(0x1F5C2),  # 🗂
    chr(0x1F4C5),  # 📅
    chr(0x1F4C6),  # 📆
    chr(0x1F5D2),  # 🗒
    chr(0x1F5D3),  # 🗓
    chr(0x1F4C7),  # 📇
    chr(0x1F4C8),  # 📈
    chr(0x1F4C9),  # 📉
    chr(0x1F4CA),  # 📊
    chr(0x1F4CB),  # 📋
    chr(0x1F4CC),  # 📌
    chr(0x1F4CD),  # 📍
    chr(0x1F4CE),  # 📎
    chr(0x1F587),  # 🖇
    chr(0x1F4CF),  # 📏
    chr(0x1F4D0),  # 📐
    chr(0x2702),  # ✂
    chr(0x1F5C3),  # 🗃
    chr(0x1F5C4),  # 🗄
    chr(0x1F5D1),  # 🗑
    chr(0x1F512),  # 🔒
    chr(0x1F513),  # 🔓
    chr(0x1F50F),  # 🔏
    chr(0x1F510),  # 🔐
    chr(0x1F511),  # 🔑
    chr(0x1F5DD),  # 🗝
    chr(0x1F528),  # 🔨
    chr(0x1FA93),  # 🪓
    chr(0x26CF),  # ⛏
    chr(0x2692),  # ⚒
    chr(0x1F6E0),  # 🛠
    chr(0x1F5E1),  # 🗡
    chr(0x2694),  # ⚔
    chr(0x1F4A3),  # 💣
    chr(0x1FA83),  # 🪃
    chr(0x1F3F9),  # 🏹
    chr(0x1F6E1),  # 🛡
    chr(0x1FA9A),  # 🪚
    chr(0x1F527),  # 🔧
    chr(0x1FA9B),  # 🪛
    chr(0x1F529),  # 🔩
    chr(0x2699),  # ⚙
    chr(0x1F5DC),  # 🗜
    chr(0x2696),  # ⚖
    chr(0x1F9AF),  # 🦯
    chr(0x1F517),  # 🔗
    chr(0x26D3),  # ⛓
    chr(0x1FA9D),  # 🪝
    chr(0x1F9F0),  # 🧰
    chr(0x1F9F2),  # 🧲
    chr(0x1FA9C),  # 🪜
    chr(0x1FA8F),  # 🪏
    chr(0x2697),  # ⚗
    chr(0x1F9EA),  # 🧪
    chr(0x1F9EB),  # 🧫
    chr(0x1F9EC),  # 🧬
    chr(0x1F52C),  # 🔬
    chr(0x1F52D),  # 🔭
    chr(0x1F4E1),  # 📡
    chr(0x1F489),  # 💉
    chr(0x1FA78),  # 🩸
    chr(0x1F48A),  # 💊
    chr(0x1FA79),  # 🩹
    chr(0x1FA7C),  # 🩼
    chr(0x1FA7A),  # 🩺
    chr(0x1FA7B),  # 🩻
    chr(0x1F6AA),  # 🚪
    chr(0x1F6D7),  # 🛗
    chr(0x1FA9E),  # 🪞
    chr(0x1FA9F),  # 🪟
    chr(0x1F6CF),  # 🛏
    chr(0x1F6CB),  # 🛋
    chr(0x1FA91),  # 🪑
    chr(0x1F6BD),  # 🚽
    chr(0x1FAA0),  # 🪠
    chr(0x1F6BF),  # 🚿
    chr(0x1F6C1),  # 🛁
    chr(0x1FAA4),  # 🪤
    chr(0x1FA92),  # 🪒
    chr(0x1F9F4),  # 🧴
    chr(0x1F9F7),  # 🧷
    chr(0x1F9F9),  # 🧹
    chr(0x1F9FA),  # 🧺
    chr(0x1F9FB),  # 🧻
    chr(0x1FAA3),  # 🪣
    chr(0x1F9FC),  # 🧼
    chr(0x1FAE7),  # 🫧
    chr(0x1FAA5),  # 🪥
    chr(0x1F9FD),  # 🧽
    chr(0x1F9EF),  # 🧯
    chr(0x1F6D2),  # 🛒
    chr(0x1F6AC),  # 🚬
    chr(0x26B0),  # ⚰
    chr(0x1FAA6),  # 🪦
    chr(0x26B1),  # ⚱
    chr(0x1F9FF),  # 🧿
    chr(0x1FAAC),  # 🪬
    chr(0x1F5FF),  # 🗿
    chr(0x1FAA7),  # 🪧
    chr(0x1FAAA),  # 🪪
    chr(0x1F3E7),  # 🏧
    chr(0x1F6AE),  # 🚮
    chr(0x1F6B0),  # 🚰
    chr(0x267F),  # ♿
    chr(0x1F6B9),  # 🚹
    chr(0x1F6BA),  # 🚺
    chr(0x1F6BB),  # 🚻
    chr(0x1F6BC),  # 🚼
    chr(0x1F6BE),  # 🚾
    chr(0x1F6C2),  # 🛂
    chr(0x1F6C3),  # 🛃
    chr(0x1F6C4),  # 🛄
    chr(0x1F6C5),  # 🛅
    chr(0x26A0),  # ⚠
    chr(0x1F6B8),  # 🚸
    chr(0x26D4),  # ⛔
    chr(0x1F6AB),  # 🚫
    chr(0x1F6B3),  # 🚳
    chr(0x1F6AD),  # 🚭
    chr(0x1F6AF),  # 🚯
    chr(0x1F6B1),  # 🚱
    chr(0x1F6B7),  # 🚷
    chr(0x1F4F5),  # 📵
    chr(0x1F51E),  # 🔞
    chr(0x2622),  # ☢
    chr(0x2623),  # ☣
    chr(0x2B06),  # ⬆
    chr(0x2197),  # ↗
    chr(0x27A1),  # ➡
    chr(0x2198),  # ↘
    chr(0x2B07),  # ⬇
    chr(0x2199),  # ↙
    chr(0x2B05),  # ⬅
    chr(0x2196),  # ↖
    chr(0x2195),  # ↕
    chr(0x2194),  # ↔
    chr(0x21A9),  # ↩
    chr(0x21AA),  # ↪
    chr(0x2934),  # ⤴
    chr(0x2935),  # ⤵
    chr(0x1F503),  # 🔃
    chr(0x1F504),  # 🔄
    chr(0x1F519),  # 🔙
    chr(0x1F51A),  # 🔚
    chr(0x1F51B),  # 🔛
    chr(0x1F51C),  # 🔜
    chr(0x1F51D),  # 🔝
    chr(0x1F6D0),  # 🛐
    chr(0x269B),  # ⚛
    chr(0x1F549),  # 🕉
    chr(0x2721),  # ✡
    chr(0x2638),  # ☸
    chr(0x262F),  # ☯
    chr(0x271D),  # ✝
    chr(0x2626),  # ☦
    chr(0x262A),  # ☪
    chr(0x262E),  # ☮
    chr(0x1F54E),  # 🕎
    chr(0x1F52F),  # 🔯
    chr(0x1FAAF),  # 🪯
    chr(0x2648),  # ♈
    chr(0x2649),  # ♉
    chr(0x264A),  # ♊
    chr(0x264B),  # ♋
    chr(0x264C),  # ♌
    chr(0x264D),  # ♍
    chr(0x264E),  # ♎
    chr(0x264F),  # ♏
    chr(0x2650),  # ♐
    chr(0x2651),  # ♑
    chr(0x2652),  # ♒
    chr(0x2653),  # ♓
    chr(0x26CE),  # ⛎
    chr(0x1F500),  # 🔀
    chr(0x1F501),  # 🔁
    chr(0x1F502),  # 🔂
    chr(0x25B6),  # ▶
    chr(0x23E9),  # ⏩
    chr(0x23ED),  # ⏭
    chr(0x23EF),  # ⏯
    chr(0x25C0),  # ◀
    chr(0x23EA),  # ⏪
    chr(0x23EE),  # ⏮
    chr(0x1F53C),  # 🔼
    chr(0x23EB),  # ⏫
    chr(0x1F53D),  # 🔽
    chr(0x23EC),  # ⏬
    chr(0x23F8),  # ⏸
    chr(0x23F9),  # ⏹
    chr(0x23FA),  # ⏺
    chr(0x23CF),  # ⏏
    chr(0x1F3A6),  # 🎦
    chr(0x1F505),  # 🔅
    chr(0x1F506),  # 🔆
    chr(0x1F4F6),  # 📶
    chr(0x1F6DC),  # 🛜
    chr(0x1F4F3),  # 📳
    chr(0x1F4F4),  # 📴
    chr(0x2640),  # ♀
    chr(0x2642),  # ♂
    chr(0x26A7),  # ⚧
    chr(0x2716),  # ✖
    chr(0x2795),  # ➕
    chr(0x2796),  # ➖
    chr(0x2797),  # ➗
    chr(0x1F7F0),  # 🟰
    chr(0x267E),  # ♾
    chr(0x203C),  # ‼
    chr(0x2049),  # ⁉
    chr(0x2753),  # ❓
    chr(0x2754),  # ❔
    chr(0x2755),  # ❕
    chr(0x2757),  # ❗
    chr(0x3030),  # 〰
    chr(0x1F4B1),  # 💱
    chr(0x1F4B2),  # 💲
    chr(0x2695),  # ⚕
    chr(0x267B),  # ♻
    chr(0x269C),  # ⚜
    chr(0x1F531),  # 🔱
    chr(0x1F4DB),  # 📛
    chr(0x1F530),  # 🔰
    chr(0x2B55),  # ⭕
    chr(0x2705),  # ✅
    chr(0x2611),  # ☑
    chr(0x2714),  # ✔
    chr(0x274C),  # ❌
    chr(0x274E),  # ❎
    chr(0x27B0),  # ➰
    chr(0x27BF),  # ➿
    chr(0x303D),  # 〽
    chr(0x2733),  # ✳
    chr(0x2734),  # ✴
    chr(0x2747),  # ❇
    chr(0x00A9),  # ©
    chr(0x00AE),  # ®
    chr(0x2122),  # ™
    chr(0x1FADF),  # 🫟
    chr(0x1F51F),  # 🔟
    chr(0x1F520),  # 🔠
    chr(0x1F521),  # 🔡
    chr(0x1F522),  # 🔢
    chr(0x1F523),  # 🔣
    chr(0x1F524),  # 🔤
    chr(0x1F170),  # 🅰
    chr(0x1F18E),  # 🆎
    chr(0x1F171),  # 🅱
    chr(0x1F191),  # 🆑
    chr(0x1F192),  # 🆒
    chr(0x1F193),  # 🆓
    chr(0x2139),  # ℹ
    chr(0x1F194),  # 🆔
    chr(0x24C2),  # Ⓜ
    chr(0x1F195),  # 🆕
    chr(0x1F196),  # 🆖
    chr(0x1F17E),  # 🅾
    chr(0x1F197),  # 🆗
    chr(0x1F17F),  # 🅿
    chr(0x1F198),  # 🆘
    chr(0x1F199),  # 🆙
    chr(0x1F19A),  # 🆚
    chr(0x1F201),  # 🈁
    chr(0x1F202),  # 🈂
    chr(0x1F237),  # 🈷
    chr(0x1F236),  # 🈶
    chr(0x1F22F),  # 🈯
    chr(0x1F250),  # 🉐
    chr(0x1F239),  # 🈹
    chr(0x1F21A),  # 🈚
    chr(0x1F232),  # 🈲
    chr(0x1F251),  # 🉑
    chr(0x1F238),  # 🈸
    chr(0x1F234),  # 🈴
    chr(0x1F233),  # 🈳
    chr(0x3297),  # ㊗
    chr(0x3299),  # ㊙
    chr(0x1F23A),  # 🈺
    chr(0x1F235),  # 🈵
    chr(0x1F534),  # 🔴
    chr(0x1F7E0),  # 🟠
    chr(0x1F7E1),  # 🟡
    chr(0x1F7E2),  # 🟢
    chr(0x1F535),  # 🔵
    chr(0x1F7E3),  # 🟣
    chr(0x1F7E4),  # 🟤
    chr(0x26AB),  # ⚫
    chr(0x26AA),  # ⚪
    chr(0x1F7E5),  # 🟥
    chr(0x1F7E7),  # 🟧
    chr(0x1F7E8),  # 🟨
    chr(0x1F7E9),  # 🟩
    chr(0x1F7E6),  # 🟦
    chr(0x1F7EA),  # 🟪
    chr(0x1F7EB),  # 🟫
    chr(0x2B1B),  # ⬛
    chr(0x2B1C),  # ⬜
    chr(0x25FC),  # ◼
    chr(0x25FB),  # ◻
    chr(0x25FE),  # ◾
    chr(0x25FD),  # ◽
    chr(0x25AA),  # ▪
    chr(0x25AB),  # ▫
    chr(0x1F536),  # 🔶
    chr(0x1F537),  # 🔷
    chr(0x1F538),  # 🔸
    chr(0x1F539),  # 🔹
    chr(0x1F53A),  # 🔺
    chr(0x1F53B),  # 🔻
    chr(0x1F4A0),  # 💠
    chr(0x1F518),  # 🔘
    chr(0x1F533),  # 🔳
    chr(0x1F532),  # 🔲
    chr(0x1F3C1),  # 🏁
    chr(0x1F6A9),  # 🚩
    chr(0x1F38C),  # 🎌
    chr(0x1F3F4),  # 🏴
    chr(0x1F3F3),  # 🏳
}
