# A comprehensive mapping of Unicode homoglyphs to ASCII characters

HOMOGLYPH_MAP = {
    # Latin Homoglyphs
    chr(0xC0): "A",  # "À"
    chr(0xC1): "A",  # "Á"
    chr(0xC2): "A",  # "Â"
    chr(0xC3): "A",  # "Ã"
    chr(0xC4): "A",  # "Ä"
    chr(0xC5): "A",  # "Å"
    chr(0x100): "A",  # "Ā"
    chr(0x102): "A",  # "Ă"
    chr(0x104): "A",  # "Ą"
    chr(0xE0): "a",  # "à"
    chr(0xE1): "a",  # "á"
    chr(0xE2): "a",  # "â"
    chr(0xE3): "a",  # "ã"
    chr(0xE4): "a",  # "ä"
    chr(0xE5): "a",  # "å"
    chr(0x101): "a",  # "ā"
    chr(0x103): "a",  # "ă"
    chr(0x105): "a",  # "ą"
    chr(0x1D400): "A",  # "𝐀"
    chr(0xFF21): "A",  # "Ａ"
    chr(0x042C): "b",  # 'Ь'
    chr(0x1D401): "B",  # "𝐁"
    chr(0xFF22): "B",  # "Ｂ"
    chr(0xC7): "C",  # "Ç"
    chr(0x106): "C",  # "Ć"
    chr(0x108): "C",  # "Ĉ"
    chr(0x10A): "C",  # "Ċ"
    chr(0x10C): "C",  # "Č"
    chr(0xE7): "c",  # "ç"
    chr(0x107): "c",  # "ć"
    chr(0x109): "c",  # "ĉ"
    chr(0x10B): "c",  # "ċ"
    chr(0x10D): "c",  # "č"
    chr(0x2102): "C",  # "ℂ"
    chr(0xFF23): "C",  # "Ｃ"
    chr(0xD0): "D",  # "Ð"
    chr(0x10E): "D",  # "Ď"
    chr(0x110): "D",  # "Đ"
    chr(0xF0): "d",  # "ð"
    chr(0x10F): "d",  # "ď"
    chr(0x111): "d",  # "đ"
    chr(0xFF24): "D",  # "Ｄ"
    chr(0xC8): "E",  # "È"
    chr(0xC9): "E",  # "É"
    chr(0xCA): "E",  # "Ê"
    chr(0xCB): "E",  # "Ë"
    chr(0x112): "E",  # "Ē"
    chr(0x114): "E",  # "Ĕ"
    chr(0x116): "E",  # "Ė"
    chr(0x118): "E",  # "Ę"
    chr(0x11A): "E",  # "Ě"
    chr(0x2130): "E",  # "ℰ"
    chr(0xFF25): "E",  # "Ｅ"
    chr(0xE8): "e",  # "è"
    chr(0xE9): "e",  # "é"
    chr(0xEA): "e",  # "ê"
    chr(0xEB): "e",  # "ë"
    chr(0x113): "e",  # "ē"
    chr(0x115): "e",  # "ĕ"
    chr(0x117): "e",  # "ė"
    chr(0x119): "e",  # "ę"
    chr(0x11B): "e",  # "ě"
    chr(0x2131): "F",  # "ℱ"
    chr(0x1D4A2): "G",  # '𝒢'
    chr(0x210B): "H",  # 'ℋ'
    chr(0xCC): "I",  # "Ì"
    chr(0xCD): "I",  # "Í"
    chr(0xCE): "I",  # "Î"
    chr(0xCF): "I",  # "Ï"
    chr(0x128): "I",  # "Ĩ"
    chr(0x12A): "I",  # "Ī"
    chr(0x12C): "I",  # "Ĭ"
    chr(0x12E): "I",  # "Į"
    chr(0x130): "I",  # "İ"
    chr(0xEC): "i",  # "ì"
    chr(0xED): "i",  # "í"
    chr(0xEE): "i",  # "î"
    chr(0xEF): "i",  # "ï"
    chr(0x129): "i",  # "ĩ"
    chr(0x12B): "i",  # "ī"
    chr(0x12D): "i",  # "ĭ"
    chr(0x12F): "i",  # "į"
    chr(0x131): "i",  # "ı"
    chr(0x217C): "l",  # 'ⅼ'
    chr(0xD1): "N",  # "Ñ"
    chr(0x143): "N",  # "Ń"
    chr(0x145): "N",  # "Ņ"
    chr(0x147): "N",  # "Ň"
    chr(0xF1): "n",  # "ñ"
    chr(0x0578): "n",  # 'ո'
    chr(0x144): "n",  # "ń"
    chr(0x146): "n",  # "ņ"
    chr(0x148): "n",  # "ň"
    chr(0xD2): "O",  # "Ò"
    chr(0xD3): "O",  # "Ó"
    chr(0xD4): "O",  # "Ô"
    chr(0xD5): "O",  # "Õ"
    chr(0xD6): "O",  # "Ö"
    chr(0xD8): "O",  # "Ø"
    chr(0x14C): "O",  # "Ō"
    chr(0x14E): "O",  # "Ŏ"
    chr(0x150): "O",  # "Ő"
    chr(0xF2): "o",  # "ò"
    chr(0xF3): "o",  # "ó"
    chr(0xF4): "o",  # "ô"
    chr(0xF5): "o",  # "õ"
    chr(0xF6): "o",  # "ö"
    chr(0xF8): "o",  # "ø"
    chr(0x14D): "o",  # "ō"
    chr(0x14F): "o",  # "ŏ"
    chr(0x151): "o",  # "ő"
    chr(0x051B): "q",  # 'ԛ'
    chr(0x0433): "r",  # 'г'
    chr(0x211D): "R",  # "ℝ"
    chr(0x0455): "s",  # 'ѕ'
    chr(0xD9): "U",  # "Ù"
    chr(0xDA): "U",  # "Ú"
    chr(0xDB): "U",  # "Û"
    chr(0xDC): "U",  # "Ü"
    chr(0x168): "U",  # "Ũ"
    chr(0x16A): "U",  # "Ū"
    chr(0x16C): "U",  # "Ŭ"
    chr(0x16E): "U",  # "Ů"
    chr(0x170): "U",  # "Ű"
    chr(0x172): "U",  # "Ų"
    chr(0xF9): "u",  # "ù"
    chr(0xFA): "u",  # "ú"
    chr(0xFB): "u",  # "û"
    chr(0xFC): "u",  # "ü"
    chr(0x169): "u",  # "ũ"
    chr(0x16B): "u",  # "ū"
    chr(0x16D): "u",  # "ŭ"
    chr(0x16F): "u",  # "ů"
    chr(0x171): "u",  # "ű"
    chr(0x173): "u",  # "ų"
    chr(0x051D): "w",  # 'ԝ'
    chr(0x1D22): "z",  # 'ᴢ'
    chr(0x2124): "Z",  # "ℤ"
    # Greek Homoglyphs
    chr(0x391): "A",  # "Α"
    chr(0x392): "B",  # "Β"
    chr(0x395): "E",  # "Ε"
    chr(0x396): "Z",  # "Ζ"
    chr(0x397): "H",  # "Η"
    chr(0x399): "I",  # "Ι"
    chr(0x39A): "K",  # "Κ"
    chr(0x39C): "M",  # "Μ"
    chr(0x39D): "N",  # "Ν"
    chr(0x39F): "O",  # "Ο"
    chr(0x3A1): "P",  # "Ρ"
    chr(0x3A4): "T",  # "Τ"
    chr(0x3A5): "Y",  # "Υ"
    chr(0x3A7): "X",  # "Χ"
    chr(0x3B1): "a",  # "α"
    chr(0x3B2): "b",  # "β"
    chr(0x3B3): "y",  # "γ"
    chr(0x3B4): "d",  # "δ"
    chr(0x3B5): "e",  # "ε"
    chr(0x3B6): "z",  # "ζ"
    chr(0x3B7): "h",  # "η"
    chr(0x3B9): "i",  # "ι"
    chr(0x3BA): "k",  # "κ"
    chr(0x3BD): "v",  # "ν"
    chr(0x3BF): "o",  # "ο"
    chr(0x3C1): "p",  # "ρ"
    chr(0x3C3): "s",  # "σ"
    chr(0x3C4): "t",  # "τ"
    chr(0x3C5): "y",  # "υ"
    chr(0x3C7): "x",  # "χ"
    chr(0x3C9): "w",  # "ω"
    # Cyrillic Homoglyphs
    chr(0x410): "A",  # "А"
    chr(0x412): "B",  # "В"
    chr(0x415): "E",  # "Е"
    chr(0x41A): "K",  # "К"
    chr(0x41C): "M",  # "М"
    chr(0x41D): "H",  # "Н"
    chr(0x41E): "O",  # "О"
    chr(0x420): "P",  # "Р"
    chr(0x421): "C",  # "С"
    chr(0x422): "T",  # "Т"
    chr(0x423): "Y",  # "У"
    chr(0x430): "a",  # "а"
    chr(0x501): "d",  # "ԁ"
    chr(0x435): "e",  # "е"
    chr(0x456): "i",  # "і"
    chr(0x43A): "k",  # "к"
    chr(0x43C): "m",  # "м"
    chr(0x43E): "o",  # "о"
    chr(0x440): "p",  # "р"
    chr(0x441): "c",  # "с"
    chr(0x442): "t",  # "т"
    chr(0x443): "y",  # "у"
    chr(0x445): "x",  # "х"
    # Numbers
    chr(0xFF10): "0",  # "０"
    chr(0xFF11): "1",  # "１"
    chr(0xFF12): "2",  # "２"
    chr(0xFF13): "3",  # "３"
    chr(0xFF14): "4",  # "４"
    chr(0xFF15): "5",  # "５"
    chr(0xFF16): "6",  # "６"
    chr(0xFF17): "7",  # "７"
    chr(0xFF18): "8",  # "８"
    chr(0xFF19): "9",  # "９"
    chr(0x2160): "I",  # "Ⅰ"
    chr(0x2161): "II",  # "Ⅱ"
    chr(0x2162): "III",  # "Ⅲ"
    chr(0x2163): "IV",  # "Ⅳ"
    chr(0x2164): "V",  # "Ⅴ"
    chr(0x2165): "VI",  # "Ⅵ"
    chr(0x2166): "VII",  # "Ⅶ"
    chr(0x2167): "VIII",  # "Ⅷ"
    chr(0x2168): "IX",  # "Ⅸ"
    chr(0x2169): "X",  # "Ⅹ"
    # Common symbols
    chr(0x201C): '"',  # "“"
    chr(0x201D): '"',  # "”"
    chr(0x201E): '"',  # "„"
    chr(0x2018): "'",  # "‘"
    chr(0x2019): "'",  # "’"
    chr(0x2022): "*",  # "•"
    chr(0x2023): ">",  # "‣"
    chr(0x2026): "...",  # "…"
    chr(0x2014): "-",  # "—"
    chr(0x2013): "-",  # "–"
    chr(0x2010): "-",  # "‐"
    chr(0xAB): '"',  # "«"
    chr(0xBB): '"',  # "»"
    chr(0x2039): "'",  # "‹"
    chr(0x203A): "'",  # "›"
    chr(0x2024): ".",  # '․'
    chr(0x00BF): "?",  # '¿'
    chr(0x00A1): "!",  # '¡'
    chr(0xFF0E): ".",  # '．'
    chr(0xFF0C): ",",  # '，'
    chr(0x2212): "-",  # "−"
    chr(0xB1): "+/-",  # "±"
    chr(0xD7): "x",  # "×"
    chr(0xF7): "/",  # "÷"
    chr(0xA9): "(c)",  # "©"
    chr(0xAE): "(R)",  # "®"
    chr(0x2122): "(TM)",  # "™"
    # Whitespace
    chr(0x2009): " ",  # " "
    chr(0x202F): " ",  # " "
    chr(0x2007): " ",  # " "
    chr(0x2000): " ",  # " "
    chr(0x2001): " ",  # " "
    chr(0x2800): " ",  # "⠀"
    chr(0x180E): " ",  # "᠎"
    chr(0x2002): " ",  # ' '
    chr(0x2003): " ",  # ' '
    # Invinsible
    chr(0x200B): "",  # "​"
    chr(0x200C): "",  # "‌"
    chr(0x200D): "",  # "‍"
    chr(0x200E): "",  # "‎"
    chr(0x200F): "",  # "‏"
    chr(0xFEFF): "",  # "﻿"
    chr(0x202A): "",  # "‪"
    chr(0x202B): "",  # "‫"
    chr(0x202C): "",  # "‬"
    chr(0x202D): "",  # "‭"
    chr(0x202E): "",  # "‮"
    chr(0x2060): "",  # "⁠"
    chr(0x2061): "",  # "⁡"
    chr(0x2062): "",  # "⁢"
    chr(0x2063): "",  # "⁣"
    chr(0x2064): "",  # "⁤"
    chr(0x2066): "",  # "⁦"
    chr(0x2067): "",  # "⁧"
    chr(0x2068): "",  # "⁨"
    chr(0x2069): "",  # "⁩"
    chr(0x206A): "",  # "⁪"
    chr(0x206B): "",  # "⁫"
    chr(0x206C): "",  # "⁬"
    chr(0x206D): "",  # "⁭"
    chr(0x206E): "",  # "⁮"
    chr(0x206F): "",  # "⁯"
}


def get_homoglyph_replacement(char):
    """Returns the ASCII replacement for a given Unicode character if available."""
    return HOMOGLYPH_MAP.get(char, char)
